ClarisWksTextInternal::Section Struct Reference documentation

ClarisWksTextInternal::Section Struct Reference

internal class used to store a section More...

## Public Member Functions
| Section ()
| the constructor
MWAWSection | getSection () const
| returns a section

## Public Attributes
long | m_pos
| the character position
int | m_numColumns
| the number of column
std::vector< int > | m_columnsWidth
| the columns width
std::vector< int > | m_columnsSep
| the columns separator
bool | m_startOnNewPage
| a new section generates a page break
int | m_firstPage
| the first page
bool | m_hasTitlePage
| true if the first page is a title page(ie.
bool | m_continuousHF
| true if the header/footer are shared with previous sections
bool | m_leftRightHF
| true if the left/right header/footer are different
int | m_HFId [4]
| the header/footer id
std::string | m_extra
| a string to store unparsed data

## Friends
std::ostream & | operator<< (std::ostream &o, Section const &sec)
| operator <<

## Detailed Description

internal class used to store a section

## Constructor & Destructor Documentation

## ◆ Section()

ClarisWksTextInternal::Section::Section | ( |  | ) |
| inline

the constructor

Referenced by operator<<.

## Member Function Documentation

## ◆ getSection()

MWAWSection ClarisWksTextInternal::Section::getSection | ( |  | ) | const
| inline

returns a section

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Section const & | sec )
| friend

operator <<

## Member Data Documentation

## ◆ m_columnsSep

std::vector<int> ClarisWksTextInternal::Section::m_columnsSep

the columns separator

Referenced by getSection(), operator<<, ClarisWksText::readTextSection(), and Section().

## ◆ m_columnsWidth

std::vector<int> ClarisWksTextInternal::Section::m_columnsWidth

the columns width

Referenced by getSection(), operator<<, ClarisWksText::readTextSection(), and Section().

## ◆ m_continuousHF

bool ClarisWksTextInternal::Section::m_continuousHF

true if the header/footer are shared with previous sections

Referenced by operator<<, ClarisWksText::readTextSection(), and Section().

## ◆ m_extra

std::string ClarisWksTextInternal::Section::m_extra

a string to store unparsed data

Referenced by operator<<, ClarisWksText::readTextSection(), and Section().

## ◆ m_firstPage

int ClarisWksTextInternal::Section::m_firstPage

the first page

Referenced by operator<<, ClarisWksText::readTextSection(), and Section().

## ◆ m_hasTitlePage

bool ClarisWksTextInternal::Section::m_hasTitlePage

true if the first page is a title page(ie.

no header/footer)

Referenced by operator<<, ClarisWksText::readTextSection(), and Section().

## ◆ m_HFId

int ClarisWksTextInternal::Section::m_HFId[4]

the header/footer id

Referenced by operator<<, ClarisWksText::readTextSection(), and Section().

## ◆ m_leftRightHF

bool ClarisWksTextInternal::Section::m_leftRightHF

true if the left/right header/footer are different

Referenced by operator<<, ClarisWksText::readTextSection(), and Section().

## ◆ m_numColumns

int ClarisWksTextInternal::Section::m_numColumns

the number of column

Referenced by getSection(), operator<<, ClarisWksText::readTextSection(), and Section().

## ◆ m_pos

long ClarisWksTextInternal::Section::m_pos

the character position

Referenced by operator<<, ClarisWksText::readTextSection(), and Section().

## ◆ m_startOnNewPage

bool ClarisWksTextInternal::Section::m_startOnNewPage

a new section generates a page break

Referenced by ClarisWksText::readTextSection(), and Section().

The documentation for this struct was generated from the following file:

- ClarisWksText.cxx